#include <ctype.h>
#include <inttypes.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <errno.h>

#include <flash.h>
#include <ftl.h>
#include <macros.h>
#include <shell.h>

static void do_ftl_mount(const char *s);

static struct cmd ftl_cmds[] = {
	{ "mount", do_ftl_mount },
	{ NULL, NULL },
};

extern struct flash_dev *flash;

static void do_ftl_mount(const char *s)
{
	(void)s;

	if (!flash) {
		fprintf(stderr, "error: no flash device probed.\n");
		return;
	}

	if (!(flash = ftl_mount(flash))) {
		fprintf(stderr, "error: unable to mount the device.\n");
		return;
	}
}

void do_ftl_cmd(const char *line)
{
	cmd_exec(ftl_cmds, line);
}
